curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"url": "URL",
"created": true,
"seen": true
}
]
}
}'
{
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"changeTime": "2024-04-08T09:01:12.000Z"
}
],
"code": "201",
"message": "Webhooks updated"
}
Webhook
Update webhook
Update the URL or settings of an existing Sendforsign webhook.
POST
/
api
/
webhook
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"url": "URL",
"created": true,
"seen": true
}
]
}
}'
{
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"changeTime": "2024-04-08T09:01:12.000Z"
}
],
"code": "201",
"message": "Webhooks updated"
}
Body parameters
Show child attribute
Show child attribute
Array of webhooks. Add the fields that need to be updated and ignore the rest.
Show child attribute
Show child attribute
Response
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"url": "URL",
"created": true,
"seen": true
}
]
}
}'
{
"webhooks": [
{
"webhookKey": "WEBHOOK_KEY",
"changeTime": "2024-04-08T09:01:12.000Z"
}
],
"code": "201",
"message": "Webhooks updated"
}